<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8" />
		<meta
			name="viewport"
			content="minimum-scale=1, initial-scale=1, width=device-width"
		/>
		<title>Spotify Stats Callback</title>
	</head>
	<body>
		<script>
			const target =
				window.self === window.top ? window.opener : window.parent;

			// Substring to remove the hash at the start
			const params = new URLSearchParams(
				window.location.hash.substring(1)
			);

			if (params.has('access_token')) {
				const token = params.get('access_token');
				console.log(`Sending token: ${token}`);
				target.postMessage(token, window.location.origin);
			}
			window.close();
		</script>
	</body>
</html>
